#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20220814.sql ./mysql/db
cp ../sql/ry_config_20220510.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../hmit-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy hmit-gateway "
cp ../hmit-gateway/target/hmit-gateway.jar ./ruoyi/gateway/jar

echo "begin copy hmit-auth "
cp ../hmit-auth/target/hmit-auth.jar ./ruoyi/auth/jar

echo "begin copy hmit-visual "
cp ../hmit-visual/hmit-monitor/target/hmit-visual-monitor.jar  ./ruoyi/visual/monitor/jar

echo "begin copy hmit-modules-system "
cp ../hmit-modules/hmit-system/target/hmit-modules-system.jar ./ruoyi/modules/system/jar

echo "begin copy hmit-modules-file "
cp ../hmit-modules/hmit-file/target/hmit-modules-file.jar ./ruoyi/modules/file/jar

echo "begin copy hmit-modules-job "
cp ../hmit-modules/hmit-job/target/hmit-modules-job.jar ./ruoyi/modules/job/jar

echo "begin copy hmit-modules-gen "
cp ../hmit-modules/hmit-gen/target/hmit-modules-gen.jar ./ruoyi/modules/gen/jar

